/******************************************************************************

                  版权所有 (C), 2019-2039, 深圳前海维晟智能技术有限公司

 ******************************************************************************
  文 件 名   : misc.h
  版 本 号   : 初始版本
  作    者   : QingYang
  生成日期   : 2021年2月4日 星期四
  最近修改   :
  功能描述   : misc.c 的头文件
  函数列表   :
  修改历史   :
  1.日    期   : 2021年2月4日 星期四
    作    者   : QingYang
    修改内容   : 创建文件

******************************************************************************/

#ifndef __MISC_H__
#define __MISC_H__


#ifdef __cplusplus
#if __cplusplus
extern "C"{
#endif
#endif /* __cplusplus */

extern void bubble_sort(uint16_t a[], uint8_t n);
extern UINT16 decode_hex_str(UINT8 *src_str, UINT8 *dest_buf, UINT16 hex_number);
extern int decstr_2_int(char *string);
extern UINT8 *find_first_comma(UINT8 *src_start, UINT8 *src_end);
extern uint16_t get_meadian(uint16_t *buf,uint8_t n );
extern int hexstr_2_int(char *string);
extern char string_seprate( char *src,char len, char *indstring, char *outstring,char *outlen );

#ifdef __cplusplus
#if __cplusplus
}
#endif
#endif /* __cplusplus */


#endif /* __MISC_H__ */
